Bug 488193 - openchrome-0.2.903-5 does not correctly set resolution
openchrome-0.2.903-5 does not correctly set resolution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 00:22 EST by Darryl Bond
Modified: 2009-09-24 01:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.2.903-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 01:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg openchrome-0.2.903-5.fc10.i386 log file (53.74 KB, text/plain)
2009-03-03 00:22 EST, Darryl Bond
no flags Details
Xorg log openchrome-0.2.903-1 (48.29 KB, text/plain)
2009-03-03 00:23 EST, Darryl Bond
no flags Details

  None (edit)
Description Darryl Bond 2009-03-03 00:22:34 EST
Created attachment 333836 [details]
Xorg openchrome-0.2.903-5.fc10.i386 log file

Description of problem:
xorg-x11-drv-openchrome-0.2.903-5.fc10.i386 was installed from the koji packages to test if it resolved a lockup when rendering in the Citrix ICA client. It did.

Now I find that the xorg-x11-drv-openchrome-0.2.903-5.fc10.i386 only finds 640x480 with a Samsung LCD television.

The xorg-x11-drv-openchrome-0.2.903-1.fc10.i386 correctly probes the available screen resolutions. 
Screen 0: minimum 640 x 400, current 1360 x 768, maximum 1360 x 768
default connected 1360x768+0+0 0mm x 0mm
   1360x768       60.0* 
   1024x768       75.0     70.0     60.0  
   832x624        75.0  
   800x600        75.0     72.0     60.0  
   640x480        75.0     73.0     60.0  
   720x400        70.0  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Install xorg-x11-drv-openchrome-0.2.903-1.fc10.i386 with the box connected to a Samsung LCD TV and run xrandr. Note that all the resolutions are available
2. update to xorg-x11-drv-openchrome-0.2.903-5.fc10.i386 and run again. Note that only 640x480 is available.

  
Actual results:


Expected results:
Driver should be able to display full range of resolutions of the display.

Additional info:
Attached is the Xorg.log for each version.
Comment 1 Darryl Bond 2009-03-03 00:23:28 EST
Created attachment 333837 [details]
Xorg log openchrome-0.2.903-1
Comment 2 Xavier Bachelot 2009-03-03 03:53:00 EST
the attached xorg log is from the working attempt. Could you please attach the log of the failing attempt too, as well as the xorg conf ?
Comment 3 Darryl Bond 2009-03-03 16:09:38 EST
Both the working and the failing attempt were attached but the MIME type was incorrect. There is no xorg.conf, this is using the autoprobed settings.

The application is for a thin client (LTSP) and the Xserver is autoprobed. Note that the 0.2.903-1 version does autoprobe correctly.

* Failed = https://bugzilla.redhat.com/attachment.cgi?id=333836
* Working = https://bugzilla.redhat.com/attachment.cgi?id=333837
Comment 4 Xavier Bachelot 2009-03-03 17:34:46 EST
ok, the difference is the old build is trying to enable only the VGA port while the new build wrongly think there is something hooked up to the LVDS port and try to enable it as well.
You can workaround this by forcing the driver to only enable the VGA output.
Create a minimalistic xorg.conf and in the device section, add Option "ActiveDevice" "CRT". This should give you a working setup.
Now, how can this cleanly be fixed is a different story...
Comment 5 Darryl Bond 2009-03-03 17:41:29 EST
There is no LVDS port, it is a Via nano itx device.
Comment 6 Xavier Bachelot 2009-03-03 17:46:12 EST
Yes, I understand there's no LVDS port, but still the driver wrongly assumes so.
Does the workaround work ?

Btw, what the exact model of this board ? Epia NR, Epia NX ?
Comment 7 Darryl Bond 2009-03-03 18:47:51 EST
Yep, it works.
The box has a little (100mm) pico itx board. I can't see what model it has on the board.
This is the result of lspci
00:00.0 Host bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge (rev 10)
00:00.1 Host bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge
00:00.7 Host bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237/VX700 PCI Bridge
00:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
00:0f.0 IDE interface: VIA Technologies, Inc. VX800 Serial ATA and EIDE Controller
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 90)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 90)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 90)
00:11.0 ISA bridge: VIA Technologies, Inc. CX700/VX700 PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. CX700/VX700 Internal Module Bus
00:13.0 PCI bridge: VIA Technologies, Inc. CX700/VX700 Host Bridge
01:00.0 VGA compatible controller: VIA Technologies, Inc. CX700/VX700 [S3 UniChrome Pro] (rev 03)
02:01.0 Audio device: VIA Technologies, Inc. VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller) (rev 10)
Comment 8 Graham White 2009-05-26 06:08:37 EDT
I've just upgraded my Fedora 9 home server this weekend to Fedora 10 and had a couple of problems with openchrome when I booted:

1) No mouse cursor (the SWCursor option fixes this as in bug #491083)
2) Only 640x480 was available

I was unable to find a solution to the second problem so I tried compiling the latest SRPM from Fedora 9 updates (xorg-x11-drv-openchrome-0.2.903-1.fc9.src.rpm) for Fedora 10 (giving me a xorg-x11-drv-openchrome-0.2.903-1.fc10.i386.rpm RPM).  After installing this I'm enjoying the same working system I had under Fedora 9.

I'm guessing this could possibly be a packaging issue (I've not looked to see if the sources or patches are different between the F9 and F10 versions yet) but could also be an upstream bug.  All the same, would be nice for the Fedora 10 production version to be reliable.  For now I've yum excluded openchrome updates.

Here's my lspci:

01:00.0 VGA compatible controller: VIA Technologies, Inc. CX700/VX700 [S3 UniChrome Pro] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Device 0908:1975
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 16
	Memory at c0000000 (32-bit, prefetchable) [size=512M]
	Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at feaf0000 [disabled] [size=64K]
	Capabilities: [60] Power Management version 2
	Capabilities: [70] AGP version 3.0
Comment 9 Xavier Bachelot 2009-05-26 07:53:04 EDT
(In reply to comment #8)
> I've just upgraded my Fedora 9 home server this weekend to Fedora 10 and had a
> couple of problems with openchrome when I booted:
> 
> 1) No mouse cursor (the SWCursor option fixes this as in bug #491083)
> 2) Only 640x480 was available
> 
Please make sure you are using the openchrome package from F10 updates (0.2.903-6.fc10).
Comment 10 Graham White 2009-05-27 07:10:38 EDT
For the reference of anybody else reading this bug, the remainder of my debugging and comments on this problem are written in bug #491083 rather than copy everything twice.
Comment 11 Fedora Update System 2009-06-19 07:01:18 EDT
xorg-x11-drv-openchrome-0.2.903-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.903-11.fc11
Comment 12 Fedora Update System 2009-06-19 07:01:35 EDT
xorg-x11-drv-openchrome-0.2.903-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.903-7.fc10
Comment 13 Fedora Update System 2009-06-24 15:34:32 EDT
xorg-x11-drv-openchrome-0.2.903-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6806
Comment 14 Fedora Update System 2009-06-24 15:37:27 EDT
xorg-x11-drv-openchrome-0.2.903-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6855
Comment 15 Fedora Update System 2009-07-19 11:40:13 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.903-12.fc11
Comment 16 Fedora Update System 2009-07-19 11:41:34 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.903-8.fc10
Comment 17 Fedora Update System 2009-07-22 17:50:16 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7851
Comment 18 Fedora Update System 2009-07-22 17:53:45 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7859
Comment 19 Fedora Update System 2009-09-24 01:20:23 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-09-24 01:24:39 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.